org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle

## Class DerivedCircuitBreakerOnClassOverrideOnMethod

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.BaseCircuitBreakerOnClass
  - - org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.DerivedCircuitBreakerOnClassOverrideOnMethod

All Implemented Interfaces:
  CircuitBreakerLifecycleService

    @Dependent
     @Typed(value=DerivedCircuitBreakerOnClassOverrideOnMethod.class)
     @CircuitBreaker(requestVolumeThreshold=50)
    public class DerivedCircuitBreakerOnClassOverrideOnMethod
    extends BaseCircuitBreakerOnClass

### Constructor Summary

Constructors
Constructor and Description
`DerivedCircuitBreakerOnClassOverrideOnMethod()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `service()`

### Methods inherited from class org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.BaseCircuitBreakerOnClass

`instanceId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DerivedCircuitBreakerOnClassOverrideOnMethod

    public DerivedCircuitBreakerOnClassOverrideOnMethod()

### Method Detail

#### service

    @CircuitBreaker(requestVolumeThreshold=4)
    public void service()
                                                           throws IOException

Specified by:
  `service` in interface `CircuitBreakerLifecycleService`
Overrides:
  `service` in class `BaseCircuitBreakerOnClass`
Throws:
  `IOException`